Overview | Modules | Class Hierarchy | Classes | Members

# tlp::Array< Obj, SIZE > Struct Template Reference
[Basic]

`#include <Array.h>`

Collaboration diagram for tlp::Array< Obj, SIZE >:

[legend]
List of all members.

## Detailed Description

### template<typename Obj, unsigned int SIZE>
struct tlp::Array< Obj, SIZE >

class for array encapsulation

Enables to create an Array of Obj with a limited size. Out of bound accesses are only checked in debug mode.

Author:
  : David Auber auber@tulip-software.org

Version:
  0.0.1 24/01/2003

## Public Member Functions

- Obj operator[] (const unsigned int i) const
- Obj & operator[] (const unsigned int i)

## Public Attributes

- Obj array [SIZE]

## Member Function Documentation

template<typename Obj, unsigned int SIZE>
Obj& tlp::Array< Obj, SIZE >::operator[] | ( | const unsigned int | i | ) | `[inline]`

template<typename Obj, unsigned int SIZE>
Obj tlp::Array< Obj, SIZE >::operator[] | ( | const unsigned int | i | ) | const`[inline]`

## Member Data Documentation

template<typename Obj, unsigned int SIZE>
Obj tlp::Array< Obj, SIZE >::array[SIZE]

Tulip Software by LaBRI Visualization Team 2001 - 2010